GCLOUD_DATAPROC_CLUSTERS_UPDATE(1)

NAME

gcloud dataproc clusters update - update labels and/or the number of worker nodes in a cluster

SYNOPSIS

gcloud dataproc clusters update NAME [--async] [--num-preemptible-workers=NUM_PREEMPTIBLE_WORKERS] [--num-workers=NUM_WORKERS] [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Update the number of worker nodes and/or the labels in a cluster.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to update.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --num-preemptible-workers=NUM_PREEMPTIBLE_WORKERS
        The new number of preemptible worker nodes in the cluster.

    --num-workers=NUM_WORKERS
        The new number of worker nodes in the cluster.

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To resize a cluster, run:
    $ gcloud dataproc clusters update my_cluster --num-workers 5
To change the number preemptible workers in a cluster, run:
    $ gcloud dataproc clusters update my_cluster \
        --num-preemptible-workers 5
To add the label 'customer=acme' to a cluster, run:
    $ gcloud dataproc clusters update my_cluster \
        --update-labels=customer=acme
To update the label 'customer=ackme' to 'customer=acme', run:
    $ gcloud dataproc clusters update my_cluster \
        --update-labels=customer=acme
To remove the label whose key is 'customer', run:
    $ gcloud dataproc clusters update my_cluster --remove-labels=customer